export class Form {
    constructor(player, form) {
        this.player = player;
        this.form = new form();
    }
    async after(response) { }
    async show(player) {
        if (Form.playersInFormSet.has(player.name)) {
            return player.sendMessage(`§cyou can't open more than one form at the time!`);
        }
        Form.playersInFormSet.add(player.name);
        let sent = false;
        while (true) {
            // @ts-ignore
            const response = await this.form.show(player);
            // @ts-ignore
            if (response.cancelationReason !== 'UserBusy') {
                Form.playersInFormSet.delete(player.name);
                return await this.after(response);
            }
            else if (sent === false) {
                player.sendMessage(`§7please close the chat to open the form!`);
                sent = true;
            }
        }
    }
}
Form.playersInFormSet = new Set();
