export function EntityComponent(EntityComponent) {
    return function (target, propertyKey) {
        const getter = function () {
            const component = this.entity.getComponent(EntityComponent);
            return component.value;
        };
        const setter = function (newVal) {
            const component = this.entity.getComponent(EntityComponent);
            component.value = newVal;
        };
        Object.defineProperty(target, propertyKey, {
            get: getter,
            set: setter,
            enumerable: true,
            configurable: true,
        });
    };
}
