import { ActionFormData } from '@minecraft/server-ui';
import { Form } from 'ui/forms/form.ui';
import Config from 'config/config';
import { EAccents } from 'ui/colors/colors-enum';
export class BlockPetStats extends Form {
    constructor(player) {
        super(player, ActionFormData);
        this.form.title(`${Config.colors.primary}Warps`);
        this.form.body([``, `${EAccents.Bold}${Config.colors.secondary} Random Text`, ``].join('\n'));
        this.form.button('Following', 'textures/flame_atlas.png');
        this.show(player);
    }
    async after(response) {
        if (response.canceled)
            return;
        switch (response.selection) {
            case 1:
                console.warn(`${this.player.name} clicked on button 1 !`);
                break;
        }
    }
}
