import { world } from "@minecraft/server";
import { CommandTarget } from "../interfaces";
export const HCFItemComponents = [
    {
        componentID: "hcf:test_item_component",
        events: {
            onUse: {
                code: (data) => {
                },
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: []
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: []
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:crowbar",
        events: {
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: []
                        },
                        {
                            target: CommandTarget.Block,
                            commands: [
                                "particle minecraft:cauldron_explosion_emitter"
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    }
];
